Bio::MAGETAB::ParameterValue(3)

NAME
Bio::MAGETAB::ParameterValue - MAGE-TAB parameter value class

SYNOPSIS
 use Bio::MAGETAB::ParameterValue;

DESCRIPTION
This class is used to describe the values of parameters within a MAGE-TAB SDRF document. Note that as of the July 2009 v1.1 MAGE-TAB specification, parameter values can be used with both Measurements and ControlledTerms. See the BaseClass class for superclass methods.

ATTRIBUTES

measurement (optional)
    A measurement giving the value of the parameter (data type: Bio::MAGETAB::Measurement).

term (optional)
    A controlled term giving the value of the parameter (data type: Bio::MAGETAB::ControlledTerm).

parameter (required)
    The Parameter to which the value applies. This links the value back to the Protocol in question (data type: Bio::MAGETAB::ProtocolParameter).

comments (optional)
    A list of user-defined comments for the parameter value (data type: Bio::MAGETAB::Comment).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).